package com.mdd.admin.vo.user;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;

@ApiModel("用户Vo")
public class UserVo implements Serializable {
   private static final long serialVersionUID = 1L;
   @ApiModelProperty("用户ID")
   private Integer id;
   @ApiModelProperty("用户编码")
   private Integer sn;
   @ApiModelProperty("用户头像")
   private String avatar;
   @ApiModelProperty("真实姓名")
   private String realName;
   @ApiModelProperty("用户昵称")
   private String nickname;
   @ApiModelProperty("登录账号")
   private String username;
   @ApiModelProperty("手机号码")
   private String mobile;
   @ApiModelProperty("用户性别")
   private String sex;
   @ApiModelProperty("注册渠道")
   private String channel;
   @ApiModelProperty("最后登录IP")
   private String lastLoginIp;
   @ApiModelProperty("最后登录时间")
   private String lastLoginTime;
   @ApiModelProperty("创建时间")
   private String createTime;

   public void setSex(Integer sex) {
      switch (sex) {
         case 0:
            this.sex = "未知";
            break;
         case 1:
            this.sex = "男";
            break;
         case 2:
            this.sex = "女";
      }

   }

   public Integer getId() {
      return this.id;
   }

   public Integer getSn() {
      return this.sn;
   }

   public String getAvatar() {
      return this.avatar;
   }

   public String getRealName() {
      return this.realName;
   }

   public String getNickname() {
      return this.nickname;
   }

   public String getUsername() {
      return this.username;
   }

   public String getMobile() {
      return this.mobile;
   }

   public String getSex() {
      return this.sex;
   }

   public String getChannel() {
      return this.channel;
   }

   public String getLastLoginIp() {
      return this.lastLoginIp;
   }

   public String getLastLoginTime() {
      return this.lastLoginTime;
   }

   public String getCreateTime() {
      return this.createTime;
   }

   public void setId(Integer id) {
      this.id = id;
   }

   public void setSn(Integer sn) {
      this.sn = sn;
   }

   public void setAvatar(String avatar) {
      this.avatar = avatar;
   }

   public void setRealName(String realName) {
      this.realName = realName;
   }

   public void setNickname(String nickname) {
      this.nickname = nickname;
   }

   public void setUsername(String username) {
      this.username = username;
   }

   public void setMobile(String mobile) {
      this.mobile = mobile;
   }

   public void setChannel(String channel) {
      this.channel = channel;
   }

   public void setLastLoginIp(String lastLoginIp) {
      this.lastLoginIp = lastLoginIp;
   }

   public void setLastLoginTime(String lastLoginTime) {
      this.lastLoginTime = lastLoginTime;
   }

   public void setCreateTime(String createTime) {
      this.createTime = createTime;
   }

   public boolean equals(Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof UserVo)) {
         return false;
      } else {
         UserVo other = (UserVo)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            label155: {
               Object this$id = this.getId();
               Object other$id = other.getId();
               if (this$id == null) {
                  if (other$id == null) {
                     break label155;
                  }
               } else if (this$id.equals(other$id)) {
                  break label155;
               }

               return false;
            }

            Object this$sn = this.getSn();
            Object other$sn = other.getSn();
            if (this$sn == null) {
               if (other$sn != null) {
                  return false;
               }
            } else if (!this$sn.equals(other$sn)) {
               return false;
            }

            Object this$avatar = this.getAvatar();
            Object other$avatar = other.getAvatar();
            if (this$avatar == null) {
               if (other$avatar != null) {
                  return false;
               }
            } else if (!this$avatar.equals(other$avatar)) {
               return false;
            }

            label134: {
               Object this$realName = this.getRealName();
               Object other$realName = other.getRealName();
               if (this$realName == null) {
                  if (other$realName == null) {
                     break label134;
                  }
               } else if (this$realName.equals(other$realName)) {
                  break label134;
               }

               return false;
            }

            label127: {
               Object this$nickname = this.getNickname();
               Object other$nickname = other.getNickname();
               if (this$nickname == null) {
                  if (other$nickname == null) {
                     break label127;
                  }
               } else if (this$nickname.equals(other$nickname)) {
                  break label127;
               }

               return false;
            }

            label120: {
               Object this$username = this.getUsername();
               Object other$username = other.getUsername();
               if (this$username == null) {
                  if (other$username == null) {
                     break label120;
                  }
               } else if (this$username.equals(other$username)) {
                  break label120;
               }

               return false;
            }

            Object this$mobile = this.getMobile();
            Object other$mobile = other.getMobile();
            if (this$mobile == null) {
               if (other$mobile != null) {
                  return false;
               }
            } else if (!this$mobile.equals(other$mobile)) {
               return false;
            }

            label106: {
               Object this$sex = this.getSex();
               Object other$sex = other.getSex();
               if (this$sex == null) {
                  if (other$sex == null) {
                     break label106;
                  }
               } else if (this$sex.equals(other$sex)) {
                  break label106;
               }

               return false;
            }

            Object this$channel = this.getChannel();
            Object other$channel = other.getChannel();
            if (this$channel == null) {
               if (other$channel != null) {
                  return false;
               }
            } else if (!this$channel.equals(other$channel)) {
               return false;
            }

            label92: {
               Object this$lastLoginIp = this.getLastLoginIp();
               Object other$lastLoginIp = other.getLastLoginIp();
               if (this$lastLoginIp == null) {
                  if (other$lastLoginIp == null) {
                     break label92;
                  }
               } else if (this$lastLoginIp.equals(other$lastLoginIp)) {
                  break label92;
               }

               return false;
            }

            Object this$lastLoginTime = this.getLastLoginTime();
            Object other$lastLoginTime = other.getLastLoginTime();
            if (this$lastLoginTime == null) {
               if (other$lastLoginTime != null) {
                  return false;
               }
            } else if (!this$lastLoginTime.equals(other$lastLoginTime)) {
               return false;
            }

            Object this$createTime = this.getCreateTime();
            Object other$createTime = other.getCreateTime();
            if (this$createTime == null) {
               if (other$createTime != null) {
                  return false;
               }
            } else if (!this$createTime.equals(other$createTime)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(Object other) {
      return other instanceof UserVo;
   }

   public int hashCode() {
      int PRIME = true;
      int result = 1;
      Object $id = this.getId();
      result = result * 59 + ($id == null ? 43 : $id.hashCode());
      Object $sn = this.getSn();
      result = result * 59 + ($sn == null ? 43 : $sn.hashCode());
      Object $avatar = this.getAvatar();
      result = result * 59 + ($avatar == null ? 43 : $avatar.hashCode());
      Object $realName = this.getRealName();
      result = result * 59 + ($realName == null ? 43 : $realName.hashCode());
      Object $nickname = this.getNickname();
      result = result * 59 + ($nickname == null ? 43 : $nickname.hashCode());
      Object $username = this.getUsername();
      result = result * 59 + ($username == null ? 43 : $username.hashCode());
      Object $mobile = this.getMobile();
      result = result * 59 + ($mobile == null ? 43 : $mobile.hashCode());
      Object $sex = this.getSex();
      result = result * 59 + ($sex == null ? 43 : $sex.hashCode());
      Object $channel = this.getChannel();
      result = result * 59 + ($channel == null ? 43 : $channel.hashCode());
      Object $lastLoginIp = this.getLastLoginIp();
      result = result * 59 + ($lastLoginIp == null ? 43 : $lastLoginIp.hashCode());
      Object $lastLoginTime = this.getLastLoginTime();
      result = result * 59 + ($lastLoginTime == null ? 43 : $lastLoginTime.hashCode());
      Object $createTime = this.getCreateTime();
      result = result * 59 + ($createTime == null ? 43 : $createTime.hashCode());
      return result;
   }

   public String toString() {
      return "UserVo(id=" + this.getId() + ", sn=" + this.getSn() + ", avatar=" + this.getAvatar() + ", realName=" + this.getRealName() + ", nickname=" + this.getNickname() + ", username=" + this.getUsername() + ", mobile=" + this.getMobile() + ", sex=" + this.getSex() + ", channel=" + this.getChannel() + ", lastLoginIp=" + this.getLastLoginIp() + ", lastLoginTime=" + this.getLastLoginTime() + ", createTime=" + this.getCreateTime() + ")";
   }
}
